Printago API
POST
/v1/orders/customers
Create a new customer
Request Body
Customer information (requires at least name, email, or phone)
CreateCustomerDto
customMetadataoptional
Record<string, any>
emailoptionalnullable
string
nameoptionalnullable
string
phoneoptionalnullable
string
Example Request
application/json
{
"name": "string",
"email": "string",
"phone": "string",
"customMetadata": {}
}
Response Schema
Customer
countryCodeoptionalnullable
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
emailoptionalnullable
string
externalIdoptionalnullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
nameoptionalnullable
string
phoneoptionalnullable
string
provinceCodeoptionalnullable
string
sourceoptionalnullable
enum
etsyshopifymanualebaytiktok-shopwoocommerceshipstationwix
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
zipCodeoptionalnullable
string
Example Response
201 OK — application/json
{
"name": "string",
"email": "string",
"phone": "string",
"countryCode": "string",
"provinceCode": "string",
"zipCode": "string",
"externalId": "string",
"source": "etsy",
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}